# Projection Specifications

GMT offers 31 map projections. These are specified using the -J common option. There are two conventions you may use: (a) GMT-style syntax and (b) PROJ-style syntax. The projection codes for the GMT-style and the PROJ-style are tabulated below.

GMT PROJECTION CODES | PROJ PROJECTION CODES |
--- | --- | ---
-J (upper case for width, lower case for scale) | -J (lower case for scale only) |
-JAlon0/lat0[/horizon]/width | -Jlaea/lon0/lat0[/horizon]/scale | Lambert azimuthal equal area …
-JBlon0/lat0/lat1/lat2/width | -Jaea/lon0/lat0/lat1/lat2/scale | Albers conic equal area …
-JClon0/lat0/width | -Jcass/lon0/lat0/scale | Cassini cylindrical …
-JCyl_stere/[lon0[/lat0/]]width | -Jcyl_stere/[lon0[/lat0]/]scale | Cylindrical stereographic …
-JDlon0/lat0/lat1/lat2/width | -Jeqdc/lon0/lat0/lat1/lat2/scale | Equidistant conic …
-JElon0/lat0[/horizon]/width | -Jaeqd/lon0/lat0[/horizon]/scale | Azimuthal equidistant …
-JFlon0/lat0[/horizon]/width | -Jgnom/lon0/lat0[/horizon]/scale | Azimuthal gnomonic …
-JGlon0/lat0[/horizon]/width | -Jortho/lon0/lat0[/horizon]/scale | Azimuthal orthographic …
-JGlon0/lat0/alt/azim/tilt/twist/W/H/width | -Jnsper/lon0/lat0/alt/azim/tilt/twist/W/H/scale | General perspective …
-JH[lon0/]width | -Jhammer/lon0/scale | Hammer equal area …
-JI[lon0/]width | -Jsinu/lon0/scale | Sinusoidal equal area …
-JJ[lon0/]width | -Jmill/lon0/scale | Miller cylindrical …
-JKf[lon0/]width | -Jeck4/lon0/scale | Eckert IV equal area …
-JKs[lon0/]width | -Jeck6/lon0/scale | Eckert VI equal area …
-JLlon0/lat0/lat1/lat2/width | -Jlcc/lon0/lat0/lat1/lat2/scale | Lambert conic conformal …
-JM[lon0[/lat0]/]width | -Jmerc/[lon0[/lat0/]]scale | Mercator cylindrical …
-JN[lon0/]width | -Jrobin/[lon0/]scale | Robinson …
-JOalon0/lat0/azim/width[+v] | -Jomerc/lon0/lat0/azim/scale[+v] | Oblique Mercator, 1: origin and azim …
-JOblon0/lat0/lon1/lat1/width[+v] | -Jomerc/lon0/lat0/lon1/lat1/scale[+v] | Oblique Mercator, 2: two points …
-JOclon0/lat0/lonp/latp/width[+v] | -Jomercp/lon0/lat0/lonp/latp/scale[+v] | Oblique Mercator, 3: origin and pole …
-JP width[+a][+f[e|p|radius]][+r offset][+t origin][+z[p|radius]] | -Jpolar/[+a][+f[e|p|radius]][+r offset][+t origin][+z[p|radius]] | Polar [azimuthal] (\(\theta, r\)) (or cylindrical)
-JPoly[lon0[/lat0]/]width | -Jpoly/[lon0[/lat0/]]scale | (American) polyconic …
-JQ[lon0[/lat0/]]width | -Jeqc/[lon0[/lat0/]]scale | Equidistant cylindrical …
-JR[lon0/]width | -Jwintri/[lon0/]scale | Winkel Tripel …
-JSlon0/lat0[/horizon]/width | -Jstere/lon0/lat0[/horizon]/scale | General stereographic …
-JT[lon0[/lat0]/]width | -Jtmerc/[lon0[/lat0/]]scale | Transverse Mercator …
-JU zone/width | -Jutm/zone/scale | Universal Transverse Mercator (UTM) …
-JV[lon0/]width | -Jvandg/[lon0/]scale | Van der Grinten …
-JW[lon0/]width | -Jmoll/[lon0/]scale | Mollweide …
-JX width[l|p exp|T|t][/height[l|p exp|T|t]][d] | -Jxy xscale[l|p exp|T|t][/yscale[l|p exp|T|t]][d] | Linear, log\(_{10}\), \(x^a-y^b\), and time …
-JYlon0/lat0/width | -Jcea/lon0/lat0/scale | Cylindrical equal area …